﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim SQL1 As SQL
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim btnEncViajeros As Button
	Dim pnlMenuPrincipal As Panel
	Dim LblNumEnc As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	If FirstTime Then
		' File.Delete(File.DirInternal, "latbus.db") ' only for testing, removes the database
		'check if the database already exists
		If File.Exists(File.DirInternal, "latbus.db") = False Then
			'if not, initialize it 
			SQL1.Initialize(File.DirInternal, "latbus.db", True)
			'and create it
			CreateDataBase
		End If
	End If
	ContarEncuestas
	Activity.LoadLayout("MenuPrincipal")
End Sub

Sub CreateDataBase
	Dim Query As String
	Query = "CREATE TABLE viajeros (ca_id TEXT Not Null UNIQUE, ca_empresa TEXT Not Null, ca_ntrabaj TEXT Not Null, "
	Query = Query & "ca_fecha TEXT Not Null, ca_hora TEXT Not Null, ca_sexo TEXT Not Null, ca_edad TEXT Not Null, "
	Query = Query & "ca_perfil TEXT Not Null, ca_postal TEXT Not Null, ca_nacionalidad TEXT Not Null, "
	Query = Query & "ca_veces TEXT Not Null, ca_tipousu TEXT Not Null, ca_linea TEXT Not Null, ca_usobus TEXT Not Null, "
	Query = Query & "ca_bus TEXT, ca_liencu TEXT, ca_puntimp TEXT Not Null, ca_punserv TEXT Not Null, "
	Query = Query & "ca_frecimp TEXT Not Null, ca_frecsuf TEXT Not Null, ca_buscon TEXT Not Null, ca_busade TEXT Not Null, "
	Query = Query & "ca_conpre TEXT Not Null, ca_conade TEXT Not Null, ca_infemp TEXT Not Null, ca_infade TEXT Not Null, "
	Query = Query & "ca_valglo TEXT Not Null, ca_enviado TEXT Not Null, PRIMARY KEY(ca_id));"
	SQL1.ExecNonQuery(Query)
End Sub

Sub ContarEncuestas
	Dim Row As Int
	Dim Cursor1 As Cursor
	'Vamos a contar cuantas encuestas no se han enviada
	Cursor1 = SQL1.ExecQuery("SELECT COUNT(*) FROM viajeros WHERE ca_enviado='N'")
	If Cursor1.RowCount > 0 Then						'si hay encuestas sin enviar
		Row = Cursor1.RowCount							'set the row count variable
	Else 
		Row = 0										
	End If
	LblNumEnc.Text = Row
	Cursor1.Close										'close the cursor, we don't need it anymore
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub btnEncViajeros_Click
	pnlMenuPrincipal.Visible = False
	StartActivity("EncuestaViajeros")
End Sub